SUNSHAR(1)

NAME
sunshar - a secure unshar

SYNOPSIS
sunshar [-hfnq] [-p number] [file ...]

DESCRIPTION
The sunshar command extracts files from the given shell archive(s). If no file name is given, it reads from the standard input.

It brings you security because it never executes dangerous commands possibly contained in a shell archive. Also, it does not overwrite existing files unless the -f option is specified.

OPTIONS
The following command line arguments are supported:

-h  Show help and exit.

-f  Allow overwriting existing files, and ignore errors and continue.

-p number
    Strip number levels of path components from path names. (cf. patch(1) 's -p option)

-n  Do not extract anything but just show what would have been extracted.

-q  Be quiet.

SEE ALSO
shar(1)

AUTHORS
Akinori MUSHA <knu@iDaemons.org>

BUGS
sunshar only supports shell archives made with BSD shar.